Set external order reference

Use this method to set an external reference for a partner order. This is helpful if you use unique identifiers in your own order management system and you want to mirror the IDs in the Avangate system.

Requirements

Use this method before placeOrder.

Request parameters

Parameter
Type / Description

sessionID

Required (string)

Session identifier, which is the output of the Login method. An exception is thrown if the values are incorrect.

externalRef

Required (string)

The unique identifier of an order placed in the Avangate system mirroring the reference you're using to manage order data in your system.

Request sample

<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner
require('PATH_TO_addProduct'); // addProduct example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/08Place_an_order/00Add_product_to_cart

$externalRef = 'NEW_ORDER_REFERENCE';

try {
    $ExternalIdentifier= $client->setExternalRef ($sessionID, $externalRef);
} catch (SoapFault $e) {
    echo " ExternalIdentifierSet: " . $e->getMessage();
    exit;
}
var_dump ("ExternalIdentifierSet", $ExternalIdentifier);

Response parameters

Parameter
Type / Description

Response

Boolean

True or false

Errors

Error
Description

INVALID_SOURCE

The provided external reference is empty.

Last updated

Was this helpful?